<?php

class SuperSysMsg{
	private $origen = '';
	private $cuerpo = '';
	private $clase = '';
	private $funcion = '';
	private $contador = 0;
	private $time = '';
	
	function __construct($origen = '', $cuerpo = '', $clase = '', $funcion = ''){
		$this->origen = $origen;
		$this->cuerpo = $cuerpo;
		$this->clase = $clase;
		$this->funcion = $funcion;
		$this->time = date('Y-m-d G:i:s');
	}
	
	function __destruct(){
	}
	
	function setCuerpo($cuerpo = ''){
		$this->cuerpo = $cuerpo;
	}
	function getCuerpo(){
		return($this->cuerpo);
	}
	function setOrigen($origen = ''){
		$this->origen = $origen;
	}
	function getOrigen(){
		return($this->origen);
	}
	function setClase($clase = ''){
		$this->clase = $clase;
	}
	function getClase(){
		return($this->clase);
	}
	function setFuncion($funcion = ''){
		$this->funcion = $funcion;
	}
	function getFuncion(){
		return($this->funcion);
	}
	function getParam($dato){
		$retorno = NULL;
		if (isset($this->$dato)){
			$retorno = $this->$dato;
		}
		return($retorno);
	}
	
	function incrementaContador($contador = 1){
		$this->contador += $contador;	
	}

	function setContador($contador){
		$this->contador = $contador;
	}
	
	function getContador(){
		return($this->contador);
	}
}
?>